Bug 225552 - CVE-2006-3619 Directory traversal issue in jar
CVE-2006-3619 Directory traversal issue in jar
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gcc (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
impact=moderate,source=vendorsec,repo...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 05:31 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2007-0473
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 13:50:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2007-01-31 05:31:11 EST
+++ This bug was initially created as a clone of Bug #198912 +++

When unpacking a .JAR archive with filenames with "../../../...." in it,
"fastjar" from GCC will happily unpack in the "../../../...." directory.

(Credits go to Juergen Weigert for finding this.)

The GCC bug report can be found here:

http://gcc.gnu.org/bugzilla/show_bug.cgi?id=28359
Comment 7 Red Hat Bugzilla 2007-06-11 13:50:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0473.html

Note You need to log in before you can comment on or make changes to this bug.